{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}
{% load humanize %}
{% load mathfilters %}
{% load custom_tags %}

{% block css %}
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }
        
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_permohonan_pembayaran' %}">BA Pembayaran</a></li>
            <li class="breadcrumb-item active" aria-current="page">Detail BA Pembayaran </li>
        </ol>
    </nav>

   
    <div class="container">
        <div class="row">
            <div class="col-md-12"><h4  class="text-center"><b>Surat Perintah Kerja (SPK)</b></h4></div>
        </div>
        <div class="row">
            <div class="col-md-12"><h5  class="text-center">{{data_spk.opd.namaopd}}</h5></div>
            <div class="col-md-12"><h5  class="text-center">{{data_spk.opd.lokasi.kabupaten}} {{data_spk.opd.lokasi.provinsi}} </h5></div>
            <div class="col-md-12"><h6  class="text-center">NO SPK : {{data_spk.nospk}} </h6></div>
            <div class="col-md-12"><h6  class="text-center">Tanggal SPK : {{data_spk.tglspk|date:'d F Y'}} </h6></div>
        </div>
        <hr>
        <div class="row">
            <div class="col-md-12">
                <p align="justify">
                    Program : {{data_spk.program.kegiatan_kode}} - {{data_spk.program.kegiatan_nama}}
                </p>
                <p align="justify">
                    Kegiatan : {{data_spk.kegiatan.kegiatan_kode}} - {{data_spk.kegiatan.kegiatan_nama}}
                </p>
                <p align="justify">
                    Sub Kegiatan : {{data_spk.subkegiatan.kegiatan_kode}} - {{data_spk.subkegiatan.kegiatan_nama}}
                </p>
                <p align="justify">
                    Bagian : {{data_spk.bagian.kegiatan_nama}}
                </p>
            </div>
        </div>
        <hr>
        <div class="row">
            <div class="col-md-6">
                <p>PAKET PEKERJAAN : <br>{{data_spk.uraipekerjaan}}</p>
            </div>
            <div class="col-md-6">
                <p align="justify">SPK ini mulai berlaku efektif terhitung sejak tanggal diterbitkannya, penyelesaian keseluruhan pekerjaan sebagaimana diatur dalam SPK ini.</p>
            </div>
        </div>
        <!-- <hr>
        <div class="row">
            <div class="col-md-12">
                <p align="justify">
                    SUMBERDANA : {{data_spk.sumberdana}}
                </p>
            </div>
        </div> -->
        <hr>
        <div class="row">
            <div class="col-md-12">
                <p align="justify">
                    WAKTU PELAKSANAAN PEKERJAAN : {{data_spk.waktupelaksanaan}}
                </p>
            </div>
        </div>
        <hr>
        
        {% if have_spp %}
            <div class="row">
                <div class="col-md-12">
                    <p align="justify">
                        Nomor BA Pembayaran : {{dt_spp.nosurat}}
                    </p>
                </div>
            </div>
            <hr>

            <div class="row">
                <div class="col-md-12">
                    <p align="justify">
                        Tahapan Pembayaran : {{dt_spp.masterpembayaran.urai}}
                    </p>
                </div>
            </div>
            <hr>
        {% endif %}
        
        <div class="row mb-3">
            <div class="col-md-12 text-right">
                {% if have_spp %}
                    <button class="btn btn-info"  onclick="UbahBa(this)" data-alt="{% url 'profile:admin_permohonan_edit' dt_spp.id %}" data-modal-title="Ubah Permohonan Pembayaran"> <span class="fa fa-edit"></span> Ubah BA </button>
                {% else %}
                    <div class="alert alert-warning" role="alert">
                      SPK Ini Belum dibuatkan BA Pembayaran
                    </div>
                    <button class="btn btn-primary" onclick="TambahBa(this)" data-alt="{% url 'profile:admin_permohonan_create' data_spk.id %}" data-modal-title="Tambah Permohonan Pembayaran"> <span class="fa fa-plus"></span> Buat BA </button>
                {% endif %}
            </div>
        </div>
    </div>
    <div class="d-flex">
        <div class="flex-fill"></div>
        <div class="flex-fill-right">
            <!-- <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#arsipspk"><i class="bi bi-trash"></i> SPK Diarsipkan</button> -->
        </div>
    </div> 

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info"><i class="fa fa-calculator"></i> NILAI PEKERJAAN </h6>
            <div>
                <h6 class="m-0 font-weight-bold text-info"><i class="fa fa-calculator"></i> Pagu Subkegiatan ({{data_spk.bagian.kegiatan_nama}}): Rp. <span id="pagu_subkegiatan">{{pagu_subkegiatan|floatformat:2}}</span> </h6>
            </div>
            <!-- <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div> -->
        </div>
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <!-- <button type="button"  class="btn btn-primary" data-toggle="modal" data-target="#tambahdetailspk"><i class="bi bi-plus"></i> Tambah Uraian Belanja</button> -->
                    <!-- datmbah detail -->
                    <!-- tambah data Wilayah -->
                    <!-- <div class="modal fade " id="tambahdetailspk"  role="dialog" aria-labelledby="tambahdetailspk" aria-hidden="true">
                        <div class="modal-dialog modal-lg" role="document">
                            <div class="modal-content ">
                                <div class="modal-header bg-gradient-info text-white">
                                    <h5 class="modal-title"><i class="fa fa-pencil"></i> Tambah Data Uraian Belanja</h5>
                                    <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                                </div>
                                <div class="modal-body">
                                    <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_rincian_spk_create' data_spk.id %}">
                                        {% csrf_token %}
                                        <div class="row">
                                            <div class="col-md-3">Uraian Belanja </div>
                                            <div class="col-md-9"> <input type="text" name="uraianbelanja" class="form-control" required placeholder="Isi Waktu Pelaksanaan"></div>
                                        </div>
                                        <hr>

                                        
                                        <div class="modal-footer">
                                            <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                                            <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div> -->
                <!-- <center> -->
                    <table class="table table-striped table-bordered" id="table-list" width="100%">
                        <thead class="bg-primary text-white text-center">
                            <!-- <th class="text-center">No</th> -->
                            <th class="text-center">Uraian Pekerjaan</th>
                            <th class="text-center" width="10%">Kuantitas</th>
                            <th class="text-center" width="12%">Harga satuan  (Rp.)</th>
                            <th class="text-center" width="12%">Pagu Anggaran(Rp.)</th>
                            <th class="text-center" width="12%">Sisa Pagu</th>
                            <th class="text-center" width="12%">Realisasi</th>
                        </thead>
                        <tbody>

                            {% for item_rincianSPK in data_rincian %}
                                <tr>
                                    <!-- <td></td> -->
                                    <td colspan="6">
                                        <b>{{item_rincianSPK.kegiatan_kode}} - {{item_rincianSPK.kegiatan_nama}}</b> 
                                    </td>
                                    {% for keterangan in item_rincianSPK.children %}
                                        <tr>
                                            <td colspan="3"># {{keterangan.kegiatan_nama}}</td>
                                            <td class="text-right"> <b>Rp. {{keterangan.pagu_per_keterangan|floatformat:2}}</b></td>
                                        </tr>
                                        {% for ssh in keterangan.children %}
                                            <tr>
                                                <!-- <td></td> -->
                                                <td class="text-right">
                                                    {{ssh.kegiatan_nama}}
                                                </td>
                                                <td class="text-right">
                                                    {{ssh.volume|intcomma_no_decimal}} {{ssh.satuan}}
                                                </td>
                                                <td class="text-right">
                                                    Rp. {{ssh.nilai}}
                                                </td>
                                                <td class="text-right">
                                                    Rp. {{ssh.subtotal|floatformat:2}}
                                                </td>
                                                <td class="text-right">
                                                    Rp. <span id="sisa_{{ssh.kegiatan_id}}">{{ssh.sisa_pagu}}</span>
                                                </td>
                                                <td class="text-right">
                                                    Rp. <span>{{ssh.current_value}}</span>
                                                </td>
                                            </tr>
                                        {% endfor %}
                                    {% endfor %}
                                </tr>
                            {% endfor %}
                                
                                    
                               <!--  <tr id="total-row">
                                    <td colspan="4"></td>
                                    <td><strong>JUMLAH A</strong></td>
                                    <td id="total-value"><strong>0</strong></td>
                                </tr> -->
                        </tbody>    
                    </table>
                <!-- </center> -->
                </div>
            </div>
        </div>
    </div>

{% endblock main %}

{% block footer %}
    {% include 'profile/admin/spk/modal.html' %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script>
    // Get all the elements with the class 'harga' (assuming 'harga' is the class of the cells in the Harga column)
    var hargaCells = document.querySelectorAll('.harga');
    
    // Initialize the total
    var total = 0;

    // Iterate through each cell in the Harga column
    hargaCells.forEach(function(cell) {
        // Parse the content of the cell as a float and add it to the total
        total += parseFloat(cell.textContent.replace(/[^\d.-]/g, ''));
    });

    // Update the total value in the total-row
    document.getElementById('total-value').textContent = total.toLocaleString('id-ID'); // Format the total with commas
</script>
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <!-- <script src="{% static 'admin/js/admin/admin-aksi.js' %}"></script> -->
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            // $('#table-archive').DataTable();

        });

        function UbahBa(e){
            showModal(e, {size : 'fullscreen'})
        }
        function TambahBa(e){
            showModal(e, {size : 'fullscreen'})
        }
            
    </script>
{% endblock scripts_bawah %}